【我的Android进阶之旅】解决 Error:CreateProcess error=216, 该版本的 %1 与您运行的 Windows 版本不兼容。请查看计算机的系统信息,了解是否需要 x86

  1. 云栖社区>
  2. 博客>
  3. 正文

【我的Android进阶之旅】解决 Error:CreateProcess error=216, 该版本的 %1 与您运行的 Windows 版本不兼容。请查看计算机的系统信息,了解是否需要 x86

欧阳鹏 2016-11-12 20:16:17 浏览1609
展开阅读全文

一、错误描述

刚刚打开Android Studio新建一个项目,然后就编译不了,报了如下所示的错误:

这里写图片描述

错误描述为:

Error:CreateProcess error=216, 该版本的 %1 与您运行的 Windows 版本不兼容。请查看计算机的系统信息,了解是否需要 x86 (32 位)或 x64 (64 位)版本的程序,然后联系软件发布者。

分析错误

原来是因为JDK版本和之前配置的JDK版本不一致导致的。

1、查看系统的JDK版本

系统JDK之前从JDK1.7升级到了JDK1.8,如下图所示:

这里写图片描述

2、查看Android Studio中配置的JDK版本

而我的Android Studio中配置的JDK还是之前的JDK1.7,如下所示:
打开 【File】->【Project Structure】
这里写图片描述
显示的JDK配置如下图所示:
这里写图片描述
如上图红色警告所示,提醒我选择JDK1.8或者更加新的JDK版本,而我选择的版本为E:\JAVA\JDK_Path\jdk1.7.0_04 目录所指的JDK1.7

解决错误

1、替换Android Studio中配置的JDK版本为JDK1.8

现在将JDK1.7换成和系统JDK版本相同的JDK1.8
这里写图片描述

换成E:\JAVA\JDK_Path\JKD-1.8目录所指的JDK1.8之后,红色警告消失了。

这里写图片描述

2、重新编译

换好JDK版本为JDK1.8之后,如下图所示,按sync按钮重新编译项目即可。
这里写图片描述
编译好后,如下图所示:
这里写图片描述


作者:欧阳鹏 欢迎转载,与人分享是进步的源泉!
转载请保留原文地址:
http://blog.csdn.net/ouyang_peng/article/details/53142761

这里写图片描述

网友评论

登录后评论
0/500
评论
欧阳鹏
+ 关注